import { IAutomatonTestLogicFn, IRegularExpression } from '../../types';
import * as RegularExpressionUtils from './utils';
export declare class RegularExpression {
    automaton: IRegularExpression;
    testLogic: IAutomatonTestLogicFn;
    constructor(testLogic: IAutomatonTestLogicFn, automaton: IRegularExpression, flags?: string[]);
    test(inputString: string): boolean;
}
export { RegularExpressionUtils };
