import { FiniteAutomatonTestInfo } from '../types';
export declare function generateAggregateMessage(faLabel: string, faDescription: string | undefined, finiteAutomatonTestInfo: FiniteAutomatonTestInfo): {
    values: {
        totalCorrect: number;
        totalIncorrect: number;
        totalStrings: number;
        correctPercentage: number;
        incorrectPercentage: number;
        falseNegativesPercentage: number;
        falsePositivesPercentage: number;
        truePositivesPercentage: number;
        trueNegativesPercentage: number;
    };
    withColors: string;
    withoutColors: string;
};
