"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStateGroupsRecord = void 0;
function generateStateGroupsRecord(states, statesGroups) {
    const statesGroupsRecord = {};
    const allStatesSet = new Set(states);
    statesGroups.forEach((statesGroup, statesGroupIndex) => {
        statesGroup.forEach((state) => {
            if (allStatesSet.has(state)) {
                statesGroupsRecord[state] = statesGroupIndex;
            }
        });
    });
    return statesGroupsRecord;
}
exports.generateStateGroupsRecord = generateStateGroupsRecord;
