"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const colors_1 = __importDefault(require("colors"));
function validate(automatonLabel, automatonValidationErrors) {
    if (automatonValidationErrors.length !== 0) {
        console.log(`${colors_1.default.blue.bold(automatonLabel)} ${colors_1.default.red.bold(automatonValidationErrors.length.toString())} Errors`);
        automatonValidationErrors.forEach((automatonValidationError) => console.log(`${colors_1.default.red.bold(automatonValidationError)}\n`));
        throw new Error(`Error validating automaton`);
    }
}
exports.validate = validate;
