"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.countFileLines = void 0;
const fs_1 = __importDefault(require("fs"));
function countFileLines(filePath) {
    return new Promise((resolve, reject) => {
        let lineCount = 0;
        fs_1.default.createReadStream(filePath)
            .on('data', (buffer) => {
            for (let i = 0; i < buffer.length; i += 1)
                if (buffer[i] === 10)
                    lineCount += 1;
        })
            .on('end', () => {
            resolve(lineCount);
        })
            .on('error', reject);
    });
}
exports.countFileLines = countFileLines;
